Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface BicubicGrid

All Superinterfaces:
  GenericSurface, GriddedSurface, ParametricCurveSurface, SurfacePatch

    @UML(identifier="GM_BicubicGrid",
         specification=ISO_19107)
    public interface BicubicGrid

extends GriddedSurface

A gridded surface that uses cubic polynomial splines as the horizontal and vertical curves. The initial tangents for the splines are often replaced by an extra pair of rows (and columns) of control points.

The horizontal and vertical curves require initial and final tangent vectors for a complete definition. These values are supplied by the four methods defined in this interface.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`List<double[]>` | `getHorizontalVectorAtEnd()` Returns the initial tangent vectors.
`List<double[]>` | `getHorizontalVectorAtStart()` Returns the initial tangent vectors.
`List<double[]>` | `getVerticalVectorAtEnd()` Returns the initial tangent vectors.
`List<double[]>` | `getVerticalVectorAtStart()` Returns the initial tangent vectors.

Methods inherited from interface GriddedSurface
`getColumns, getControlPoints, getRows`

Methods inherited from interface ParametricCurveSurface
`getHorizontalCurveType, getVerticalCurveType, horizontalCurve, surface, verticalCurve`

Methods inherited from interface SurfacePatch
`getBoundary, getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Method Detail

### getHorizontalVectorAtStart

    @UML(identifier="horiVectorAtStart",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<double[]> getHorizontalVectorAtStart()

  Returns the initial tangent vectors.

### getHorizontalVectorAtEnd

    @UML(identifier="horiVectorAtEnd",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<double[]> getHorizontalVectorAtEnd()

  Returns the initial tangent vectors.

### getVerticalVectorAtStart

    @UML(identifier="vertVectorAtStart",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<double[]> getVerticalVectorAtStart()

  Returns the initial tangent vectors.

### getVerticalVectorAtEnd

    @UML(identifier="vertVectorAtEnd",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<double[]> getVerticalVectorAtEnd()

  Returns the initial tangent vectors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.